Bug 52572 - psacct's logrotate cloggs up /var/log
Summary: psacct's logrotate cloggs up /var/log
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psacct   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-25 15:54 UTC by greg hosler
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-25 15:54:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description greg hosler 2001-08-25 15:54:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2smp i686; Nav)

Description of problem:
/etc/logrotate.d/psacct states the following:

        monthly

Note that /var/log/pacct file is a fast growing file
This really should be rotated on a daily basis and
compressed. Keep 'em for a month, or longer, but do so
in a compressed form. 1 week on a lightly used system
will create a pacct log file close to 200 mb.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install psacct rpm
2.leave system run for a week (that's 1 "logrotate week")
3. examine size of pacct file (if /var has not filled up in th e meantime!
	

Actual Results:  /var fills up in  less than a week

Expected Results:  /var should not need several gigs of storage space
(which it will for 4 to 5 uncompressed monthly paccts).

Additional info:

Comment 1 Mike A. Harris 2001-08-26 21:59:09 UTC
Changed to daily rotation with 31 days worth of logs kept.

psacct-6.3.2-7 will be in final release.


Note You need to log in before you can comment on or make changes to this bug.